# saga::sd::service_data Class Reference

`#include <service_data.hpp>`

Inheritance diagram for saga::sd::service_data:

[legend]

List of all members.

## Public Member Functions
| service_data (void)
| service_data (saga::object const &o)
| ~service_data (void)
service_data & | operator= (saga::object const &o)
## Protected Member Functions
| service_data (saga::impl::service_data *impl)

## Detailed Description

Read access to the key/value pairs of a service_description instance. This class implements the saga::attributes interface and offers getter methods for the user to read key/value pairs defined by the service publisher. Service publishers are completely free to define their own key names. Access to the keys and values is through the `saga::attributes` interface. The class provides no other methods.

## Constructor & Destructor Documentation

saga::sd::service_data::service_data | ( | saga::impl::service_data * | impl | ) | `[explicit, protected]`

saga::sd::service_data::service_data | ( | void |  | ) |

saga::sd::service_data::service_data | ( | saga::object const & | o | ) | `[explicit]`

References saga::BadParameter, saga::object::get_type(), and saga::object::ServiceData.

saga::sd::service_data::~service_data | ( | void |  | ) |

## Member Function Documentation

service_data & saga::sd::service_data::operator= | ( | saga::object const & | o | ) |

The documentation for this class was generated from the following files:

- service_data.hpp
- service_data.cpp